Support » Plugin: 404page - your smart custom 404 error page » WP 5.2.2 detects erros and restrict admin access

  • Resolved maleen

    (@maleen)


    WP 5.2.2 detects erros and restrict admin access. I had to delete your plugin via ftp to gain access to my admin section. I go an automatic email error message sent by WP from my site. Below. Kindly look in to it.

    =============
    Error Details
    =============
    An error of type E_ERROR was caused in line 326 of the file /opt/bitnami/apps/wordpress/htdocs/wp-content/plugins/404page/inc/class-404page-admin.php. Error message: Uncaught Error: Call to undefined method PP_404Page::get_asset_file() in /opt/bitnami/apps/wordpress/htdocs/wp-content/plugins/404page/inc/class-404page-admin.php:326
    Stack trace:
    #0 /opt/bitnami/apps/wordpress/htdocs/wp-includes/class-wp-hook.php(286): PP_404Page_Admin->admin_js(‘appearance_page…’)
    #1 /opt/bitnami/apps/wordpress/htdocs/wp-includes/class-wp-hook.php(310): WP_Hook->apply_filters(NULL, Array)
    #2 /opt/bitnami/apps/wordpress/htdocs/wp-includes/plugin.php(465): WP_Hook->do_action(Array)
    #3 /opt/bitnami/apps/wordpress/htdocs/wp-admin/admin-header.php(104): do_action(‘admin_enqueue_s…’, ‘appearance_page…’)
    #4 /opt/bitnami/apps/wordpress/htdocs/wp-admin/admin.php(233): require_once(‘/opt/bitnami/ap…’)
    #5 /opt/bitnami/apps/wordpress/htdocs/wp-admin/themes.php(10): require_once(‘/opt/bitnami/ap…’)
    #6 {main}
    thrown
    =================

    do let me know what this is. in the meantime, i am forced to delete your plugin and use an alternative, though i liked yours very much. I cannot test by deactivating other plugins as it is a live site.

    Thanks

Viewing 2 replies - 1 through 2 (of 2 total)
  • Plugin Author Peter Raschendorfer

    (@petersplugins)

    I’m sorry you’re having a problem with my plugin. This problem has never occurred before and I have no idea what could be the cause.

    But due to the error message, I can safely say that you did not use the latest version of the plugin. The specified command in line 326 is only available in version 10.x. Please install the latest version 11.0.1 and let me know if everything works with it.

    Regards,
    Peter

    Plugin Author Peter Raschendorfer

    (@petersplugins)

    No further response since three months. Marked as resolved.

Viewing 2 replies - 1 through 2 (of 2 total)
  • You must be logged in to reply to this topic.